Package org.apache.nutch.scoring.webgraph

## Class LinkDumper.Inverter

- java.lang.Object
- - org.apache.nutch.scoring.webgraph.LinkDumper.Inverter

- Enclosing class:
    LinkDumper

      public static class LinkDumper.Inverter
      extends Object

  Inverts outlinks from the WebGraph to inlinks and attaches node information.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LinkDumper.Inverter.InvertMapper` | Wraps all values in ObjectWritables.
    `static class` | `LinkDumper.Inverter.InvertReducer` | Inverts outlinks to inlinks while attaching node information to the outlink.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Inverter()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Inverter

          public Inverter()